varying vec4 projPos;

uniform sampler2D Color0;
uniform sampler2D SceneLight;

void main()
{
  vec2 texScene = projPos.xy / projPos.w * .5 + .5;

  vec4 color = texture2D( Color0, gl_TexCoord[0].st);
  vec4 light = texture2D( SceneLight, texScene );
  vec3 lightColor = light.rgb + light.a;
  color.rgb *= lightColor;

  gl_FragColor = vec4( color );
}